gwendate.h File Reference
`#include <gwenhywfar/gwenhywfarapi.h>`
`#include <gwenhywfar/types.h>`
`#include <gwenhywfar/buffer.h>`
`#include <gwenhywfar/gwentime.h>`
`#include <time.h>`

Go to the source code of this file.

## Typedefs

typedef struct GWEN_DATE | GWEN_DATE

## Functions

GWENHYWFAR_API void | GWEN_Date_AddDays (GWEN_DATE *gd, int days)
GWENHYWFAR_API int | GWEN_Date_Compare (const GWEN_DATE *gd1, const GWEN_DATE *gd0)
GWENHYWFAR_API GWEN_DATE * | GWEN_Date_CurrentDate (void)
GWENHYWFAR_API int | GWEN_Date_DaysInMonth (const GWEN_DATE *gd)
GWENHYWFAR_API int | GWEN_Date_DaysInYear (const GWEN_DATE *gd)
GWENHYWFAR_API int | GWEN_Date_Diff (const GWEN_DATE *gd1, const GWEN_DATE *gd0)
GWENHYWFAR_API GWEN_DATE * | GWEN_Date_dup (const GWEN_DATE *ogd)
GWENHYWFAR_API void | GWEN_Date_free (GWEN_DATE *gd)
GWENHYWFAR_API GWEN_DATE * | GWEN_Date_fromDb (GWEN_DB_NODE *db)
GWENHYWFAR_API GWEN_DATE * | GWEN_Date_fromGmTime (time_t t)
GWENHYWFAR_API GWEN_DATE * | GWEN_Date_fromGregorian (int y, int m, int d)
GWENHYWFAR_API GWEN_DATE * | GWEN_Date_fromJulian (int julian)
GWENHYWFAR_API GWEN_DATE * | GWEN_Date_fromLocalTime (time_t t)
GWENHYWFAR_API GWEN_DATE * | GWEN_Date_fromString (const char *s)
GWENHYWFAR_API GWEN_DATE * | GWEN_Date_fromStringWithTemplate (const char *s, const char *tmpl)
GWENHYWFAR_API GWEN_DATE * | GWEN_Date_fromTime (const GWEN_TIME *ti)
GWENHYWFAR_API int | GWEN_Date_GetDay (const GWEN_DATE *gd)
GWENHYWFAR_API int | GWEN_Date_GetJulian (const GWEN_DATE *gd)
GWENHYWFAR_API GWEN_DATE * | GWEN_Date_GetLastHalfYearEnd (const GWEN_DATE *dt)
GWENHYWFAR_API GWEN_DATE * | GWEN_Date_GetLastHalfYearStart (const GWEN_DATE *dt)
GWENHYWFAR_API GWEN_DATE * | GWEN_Date_GetLastMonthEnd (const GWEN_DATE *dt)
GWENHYWFAR_API GWEN_DATE * | GWEN_Date_GetLastMonthStart (const GWEN_DATE *dt)
GWENHYWFAR_API GWEN_DATE * | GWEN_Date_GetLastQuarterYearEnd (const GWEN_DATE *dt)
GWENHYWFAR_API GWEN_DATE * | GWEN_Date_GetLastQuarterYearStart (const GWEN_DATE *dt)
GWENHYWFAR_API GWEN_DATE * | GWEN_Date_GetLastYearEnd (const GWEN_DATE *dt)
GWENHYWFAR_API GWEN_DATE * | GWEN_Date_GetLastYearStart (const GWEN_DATE *dt)
GWENHYWFAR_API int | GWEN_Date_GetMonth (const GWEN_DATE *gd)
GWENHYWFAR_API const char * | GWEN_Date_GetString (const GWEN_DATE *gd)
GWENHYWFAR_API GWEN_DATE * | GWEN_Date_GetThisHalfYearEnd (const GWEN_DATE *dt)
GWENHYWFAR_API GWEN_DATE * | GWEN_Date_GetThisHalfYearStart (const GWEN_DATE *dt)
GWENHYWFAR_API GWEN_DATE * | GWEN_Date_GetThisMonthEnd (const GWEN_DATE *dt)
GWENHYWFAR_API GWEN_DATE * | GWEN_Date_GetThisMonthStart (const GWEN_DATE *dt)
GWENHYWFAR_API GWEN_DATE * | GWEN_Date_GetThisQuarterYearEnd (const GWEN_DATE *dt)
GWENHYWFAR_API GWEN_DATE * | GWEN_Date_GetThisQuarterYearStart (const GWEN_DATE *dt)
GWENHYWFAR_API GWEN_DATE * | GWEN_Date_GetThisWeekStartFromMonday (const GWEN_DATE *dt)
GWENHYWFAR_API GWEN_DATE * | GWEN_Date_GetThisWeekStartFromSunday (const GWEN_DATE *dt)
GWENHYWFAR_API GWEN_DATE * | GWEN_Date_GetThisYearEnd (const GWEN_DATE *dt)
GWENHYWFAR_API GWEN_DATE * | GWEN_Date_GetThisYearStart (const GWEN_DATE *dt)
GWENHYWFAR_API int | GWEN_Date_GetYear (const GWEN_DATE *gd)
GWENHYWFAR_API int | GWEN_Date_IsLeapYear (int y)
GWENHYWFAR_API void | GWEN_Date_SubDays (GWEN_DATE *gd, int days)
GWENHYWFAR_API int | GWEN_Date_toDb (const GWEN_DATE *dt, GWEN_DB_NODE *db)
GWENHYWFAR_API time_t | GWEN_Date_toLocalTime (const GWEN_DATE *gd)
GWENHYWFAR_API int | GWEN_Date_toStringWithTemplate (const GWEN_DATE *t, const char *tmpl, GWEN_BUFFER *buf)
GWENHYWFAR_API int | GWEN_Date_WeekDay (const GWEN_DATE *gd)

## Typedef Documentation

## GWEN_DATE

typedef struct GWEN_DATE GWEN_DATE

Definition at line 34 of file gwendate.h.

## Function Documentation

## GWEN_Date_AddDays()

GWENHYWFAR_API void GWEN_Date_AddDays | ( | GWEN_DATE * | gd,
|  | int | days )

Add days to the given date.

References GWENHYWFAR_API.

## GWEN_Date_Compare()

GWENHYWFAR_API int GWEN_Date_Compare | ( | const GWEN_DATE * | gd1,
|  | const GWEN_DATE * | gd0 )

References GWENHYWFAR_API.

## GWEN_Date_CurrentDate()

GWENHYWFAR_API GWEN_DATE * GWEN_Date_CurrentDate | ( | void |  | ) |

Create a date from the current local date.

References GWENHYWFAR_API.

## GWEN_Date_DaysInMonth()

GWENHYWFAR_API int GWEN_Date_DaysInMonth | ( | const GWEN_DATE * | gd | ) |

References GWENHYWFAR_API.

## GWEN_Date_DaysInYear()

GWENHYWFAR_API int GWEN_Date_DaysInYear | ( | const GWEN_DATE * | gd | ) |

Returns the distance between the given date and the begin of that year. E.g. if the given date is the 1st of January the result is 0.

References GWENHYWFAR_API.

## GWEN_Date_Diff()

GWENHYWFAR_API int GWEN_Date_Diff | ( | const GWEN_DATE * | gd1,
|  | const GWEN_DATE * | gd0 )

References GWENHYWFAR_API.

## GWEN_Date_dup()

GWENHYWFAR_API GWEN_DATE * GWEN_Date_dup | ( | const GWEN_DATE * | ogd | ) |

References GWENHYWFAR_API.

## GWEN_Date_free()

GWENHYWFAR_API void GWEN_Date_free | ( | GWEN_DATE * | gd | ) |

Destructor.

References GWENHYWFAR_API.

## GWEN_Date_fromDb()

GWENHYWFAR_API GWEN_DATE * GWEN_Date_fromDb | ( | GWEN_DB_NODE * | db | ) |

References GWENHYWFAR_API.

## GWEN_Date_fromGmTime()

GWENHYWFAR_API GWEN_DATE * GWEN_Date_fromGmTime | ( | time_t | t | ) |

References GWENHYWFAR_API.

## GWEN_Date_fromGregorian()

GWENHYWFAR_API GWEN_DATE * GWEN_Date_fromGregorian | ( | int | y,
|  | int | m,
|  | int | d )

Create a date from the gregorian calender using year, month and day.

Parameters

  y | year (e.g. 2009)
  m | month (1-12)
  d | day of month (1-31)

References GWENHYWFAR_API.

## GWEN_Date_fromJulian()

GWENHYWFAR_API GWEN_DATE * GWEN_Date_fromJulian | ( | int | julian | ) |

Create a date from the julian calender.

Parameters

  julian | date in julian calender

References GWENHYWFAR_API.

## GWEN_Date_fromLocalTime()

GWENHYWFAR_API GWEN_DATE * GWEN_Date_fromLocalTime | ( | time_t | t | ) |

References GWENHYWFAR_API.

## GWEN_Date_fromString()

GWENHYWFAR_API GWEN_DATE * GWEN_Date_fromString | ( | const char * | s | ) |

References GWENHYWFAR_API.

## GWEN_Date_fromStringWithTemplate()

GWENHYWFAR_API GWEN_DATE * GWEN_Date_fromStringWithTemplate | ( | const char * | s,
|  | const char * | tmpl )

References GWENHYWFAR_API.

## GWEN_Date_fromTime()

GWENHYWFAR_API GWEN_DATE * GWEN_Date_fromTime | ( | const GWEN_TIME * | ti | ) |

References GWENHYWFAR_API.

## GWEN_Date_GetDay()

GWENHYWFAR_API int GWEN_Date_GetDay | ( | const GWEN_DATE * | gd | ) |

References GWENHYWFAR_API.

## GWEN_Date_GetJulian()

GWENHYWFAR_API int GWEN_Date_GetJulian | ( | const GWEN_DATE * | gd | ) |

References GWENHYWFAR_API.

## GWEN_Date_GetLastHalfYearEnd()

GWENHYWFAR_API GWEN_DATE * GWEN_Date_GetLastHalfYearEnd | ( | const GWEN_DATE * | dt | ) |

References GWENHYWFAR_API.

## GWEN_Date_GetLastHalfYearStart()

GWENHYWFAR_API GWEN_DATE * GWEN_Date_GetLastHalfYearStart | ( | const GWEN_DATE * | dt | ) |

References GWENHYWFAR_API.

## GWEN_Date_GetLastMonthEnd()

GWENHYWFAR_API GWEN_DATE * GWEN_Date_GetLastMonthEnd | ( | const GWEN_DATE * | dt | ) |

References GWENHYWFAR_API.

## GWEN_Date_GetLastMonthStart()

GWENHYWFAR_API GWEN_DATE * GWEN_Date_GetLastMonthStart | ( | const GWEN_DATE * | dt | ) |

References GWENHYWFAR_API.

## GWEN_Date_GetLastQuarterYearEnd()

GWENHYWFAR_API GWEN_DATE * GWEN_Date_GetLastQuarterYearEnd | ( | const GWEN_DATE * | dt | ) |

References GWENHYWFAR_API.

## GWEN_Date_GetLastQuarterYearStart()

GWENHYWFAR_API GWEN_DATE * GWEN_Date_GetLastQuarterYearStart | ( | const GWEN_DATE * | dt | ) |

References GWENHYWFAR_API.

## GWEN_Date_GetLastYearEnd()

GWENHYWFAR_API GWEN_DATE * GWEN_Date_GetLastYearEnd | ( | const GWEN_DATE * | dt | ) |

References GWENHYWFAR_API.

## GWEN_Date_GetLastYearStart()

GWENHYWFAR_API GWEN_DATE * GWEN_Date_GetLastYearStart | ( | const GWEN_DATE * | dt | ) |

References GWENHYWFAR_API.

## GWEN_Date_GetMonth()

GWENHYWFAR_API int GWEN_Date_GetMonth | ( | const GWEN_DATE * | gd | ) |

References GWENHYWFAR_API.

## GWEN_Date_GetString()

GWENHYWFAR_API const char * GWEN_Date_GetString | ( | const GWEN_DATE * | gd | ) |

References GWENHYWFAR_API.

## GWEN_Date_GetThisHalfYearEnd()

GWENHYWFAR_API GWEN_DATE * GWEN_Date_GetThisHalfYearEnd | ( | const GWEN_DATE * | dt | ) |

References GWENHYWFAR_API.

## GWEN_Date_GetThisHalfYearStart()

GWENHYWFAR_API GWEN_DATE * GWEN_Date_GetThisHalfYearStart | ( | const GWEN_DATE * | dt | ) |

References GWENHYWFAR_API.

## GWEN_Date_GetThisMonthEnd()

GWENHYWFAR_API GWEN_DATE * GWEN_Date_GetThisMonthEnd | ( | const GWEN_DATE * | dt | ) |

References GWENHYWFAR_API.

## GWEN_Date_GetThisMonthStart()

GWENHYWFAR_API GWEN_DATE * GWEN_Date_GetThisMonthStart | ( | const GWEN_DATE * | dt | ) |

References GWENHYWFAR_API.

## GWEN_Date_GetThisQuarterYearEnd()

GWENHYWFAR_API GWEN_DATE * GWEN_Date_GetThisQuarterYearEnd | ( | const GWEN_DATE * | dt | ) |

References GWENHYWFAR_API.

## GWEN_Date_GetThisQuarterYearStart()

GWENHYWFAR_API GWEN_DATE * GWEN_Date_GetThisQuarterYearStart | ( | const GWEN_DATE * | dt | ) |

References GWENHYWFAR_API.

## GWEN_Date_GetThisWeekStartFromMonday()

GWENHYWFAR_API GWEN_DATE * GWEN_Date_GetThisWeekStartFromMonday | ( | const GWEN_DATE * | dt | ) |

References GWENHYWFAR_API.

## GWEN_Date_GetThisWeekStartFromSunday()

GWENHYWFAR_API GWEN_DATE * GWEN_Date_GetThisWeekStartFromSunday | ( | const GWEN_DATE * | dt | ) |

References GWENHYWFAR_API.

## GWEN_Date_GetThisYearEnd()

GWENHYWFAR_API GWEN_DATE * GWEN_Date_GetThisYearEnd | ( | const GWEN_DATE * | dt | ) |

References GWENHYWFAR_API.

## GWEN_Date_GetThisYearStart()

GWENHYWFAR_API GWEN_DATE * GWEN_Date_GetThisYearStart | ( | const GWEN_DATE * | dt | ) |

References GWENHYWFAR_API.

## GWEN_Date_GetYear()

GWENHYWFAR_API int GWEN_Date_GetYear | ( | const GWEN_DATE * | gd | ) |

References GWENHYWFAR_API.

## GWEN_Date_IsLeapYear()

GWENHYWFAR_API int GWEN_Date_IsLeapYear | ( | int | y | ) |

References GWENHYWFAR_API.

## GWEN_Date_SubDays()

GWENHYWFAR_API void GWEN_Date_SubDays | ( | GWEN_DATE * | gd,
|  | int | days )

Subtract days from the given date.

References GWENHYWFAR_API.

## GWEN_Date_toDb()

GWENHYWFAR_API int GWEN_Date_toDb | ( | const GWEN_DATE * | dt,
|  | GWEN_DB_NODE * | db )

References GWENHYWFAR_API.

## GWEN_Date_toLocalTime()

GWENHYWFAR_API time_t GWEN_Date_toLocalTime | ( | const GWEN_DATE * | gd | ) |

References GWENHYWFAR_API.

## GWEN_Date_toStringWithTemplate()

GWENHYWFAR_API int GWEN_Date_toStringWithTemplate | ( | const GWEN_DATE * | t,
|  | const char * | tmpl,
|  | GWEN_BUFFER * | buf )

References GWENHYWFAR_API.

## GWEN_Date_WeekDay()

GWENHYWFAR_API int GWEN_Date_WeekDay | ( | const GWEN_DATE * | gd | ) |

References GWENHYWFAR_API.